> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete distribution request



## OpenAPI

````yaml /openapi.json delete /distribution-requests/{id}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /distribution-requests/{id}:
    delete:
      tags:
        - distribution-requests
      summary: Delete distribution request
      operationId: DistributionRequestController_deleteDistributionRequest
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteDistributionRequestOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DistributionRequestNotFoundErrorDto'
              examples:
                DISTRIBUTION_REQUEST_NOT_FOUND:
                  $ref: '#/components/schemas/DistributionRequestNotFoundErrorDto'
          description: ''
components:
  schemas:
    DeleteDistributionRequestOutput:
      type: object
      properties: {}
    DistributionRequestNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - DISTRIBUTION_REQUEST_NOT_FOUND
        message:
          type: string
          example: Distribution request {id} not found
        details:
          $ref: '#/components/schemas/DistributionRequestNotFoundDto'
      required:
        - code
        - message
        - details
    DistributionRequestNotFoundDto:
      type: object
      properties:
        distributionRequestId:
          type: string
      required:
        - distributionRequestId

````